package com.ccnode.codegenerator.view.b;

package .tmp;

import com.ccnode.codegenerator.ae.l;
import com.ccnode.codegenerator.ae.p;
import com.google.common.collect.Lists;
import com.intellij.codeInsight.completion.CompletionContributor;
import com.intellij.codeInsight.completion.CompletionParameters;
import com.intellij.codeInsight.completion.CompletionResultSet;
import com.intellij.codeInsight.lookup.LookupElement;
import com.intellij.codeInsight.lookup.LookupElementBuilder;
import com.intellij.psi.PsiElement;
import com.intellij.psi.PsiFile;
import com.intellij.psi.util.PsiTreeUtil;
import com.intellij.psi.xml.XmlAttribute;
import com.intellij.psi.xml.XmlAttributeValue;
import com.intellij.psi.xml.XmlTag;
import java.util.ArrayList;
import java.util.Iterator;
import java.util.List;
import kotlin.jvm.internal.Intrinsics;
import org.jetbrains.annotations.NotNull;

public class k extends CompletionContributor {
  public static final String a = "configurationFactory";
  
  public static final String b = "mapUnderscoreToCamelCase";
  
  public static final String c = "autoMappingUnknownColumnBehavior";
  
  public static final String d = "localCacheScope";
  
  public static final String e = "defaultStatementTimeout";
  
  public static final String f = "vfsImpl";
  
  public static final String g = "logPrefix";
  
  public static final String h = "callSettersOnNulls";
  
  public static final String i = "defaultEnumTypeHandler";
  
  public static final String j = "cacheEnabled";
  
  public static final String k = "defaultFetchSize";
  
  public static final String l = "safeRowBoundsEnabled";
  
  public static final String m = "useColumnLabel";
  
  public static final String n = "defaultExecutorType";
  
  public static final String o = "logImpl";
  
  public static final String p = "useGeneratedKeys";
  
  public static final String q = "safeResultHandlerEnabled";
  
  public static final String r = "useActualParamName";
  
  public static final String s = "jdbcTypeForNull";
  
  public static final String t = "defaultScriptingLanguage";
  
  public static final String u = "aggressiveLazyLoading";
  
  public static final String v = "multipleResultSetsEnabled";
  
  public static final String w = "defaultResultSetType";
  
  public static final String x = "returnInstanceForEmptyRow";
  
  public static final String y = "lazyLoadingEnabled";
  
  public static final String z = "lazyLoadTriggerMethods";
  
  public static final String A = "autoMappingBehavior";
  
  public static final String B = "proxyFactory";
  
  private static final ArrayList a = Lists.newArrayList(new String[] { 
        "configurationFactory", "mapUnderscoreToCamelCase", "autoMappingUnknownColumnBehavior", "localCacheScope", "defaultStatementTimeout", "vfsImpl", "logPrefix", "callSettersOnNulls", "defaultEnumTypeHandler", "cacheEnabled", 
        "defaultFetchSize", "safeRowBoundsEnabled", "useColumnLabel", "defaultExecutorType", "logImpl", "useGeneratedKeys", "safeResultHandlerEnabled", "useActualParamName", "jdbcTypeForNull", "defaultScriptingLanguage", 
        "aggressiveLazyLoading", "multipleResultSetsEnabled", "defaultResultSetType", "returnInstanceForEmptyRow", "lazyLoadingEnabled", "lazyLoadTriggerMethods", "autoMappingBehavior", "proxyFactory" });
  
  public static final List<String> a = Lists.newArrayList(new String[] { 
        "cacheEnabled", "lazyLoadingEnabled", "aggressiveLazyLoading", "multipleResultSetsEnabled", "useColumnLabel", "useGeneratedKeys", "safeRowBoundsEnabled", "safeResultHandlerEnabled", "mapUnderscoreToCamelCase", "callSettersOnNulls", 
        "returnInstanceForEmptyRow", "useActualParamName" });
  
  public void fillCompletionVariants(@NotNull CompletionParameters paramCompletionParameters, @NotNull CompletionResultSet paramCompletionResultSet) {
    PsiElement psiElement = paramCompletionParameters.getPosition();
    XmlAttributeValue xmlAttributeValue = (XmlAttributeValue)PsiTreeUtil.getParentOfType(psiElement, XmlAttributeValue.class);
    if (xmlAttributeValue != null) {
      PsiElement psiElement1 = xmlAttributeValue.getParent();
      if (psiElement1 instanceof XmlAttribute) {
        XmlTag xmlTag = ((XmlAttribute)psiElement1).getParent();
        if (xmlTag != null && xmlTag.getName().equals("setting")) {
          Intrinsics.checkExpressionValueIsNotNull(psiElement, "");
          PsiFile psiFile = psiElement.getContainingFile();
          if (l.a(psiFile)) {
            XmlAttribute xmlAttribute = (XmlAttribute)psiElement1;
            String str = xmlAttribute.getName();
            if (str.equals("name")) {
              Iterator<String> iterator = a.iterator();
              while (iterator.hasNext()) {
                String str1 = iterator.next();
                paramCompletionResultSet.addElement((LookupElement)LookupElementBuilder.create(str1).withIcon(p.d()).withTypeText("setting"));
              } 
            } else if (str.equals("value")) {
              String str1 = xmlTag.getAttributeValue("name");
              if (a.contains(str1)) {
                paramCompletionResultSet.addElement((LookupElement)LookupElementBuilder.create("true").withIcon(p.d()).withTypeText("settingValue"));
                paramCompletionResultSet.addElement((LookupElement)LookupElementBuilder.create("false").withIcon(p.d()).withTypeText("settingValue"));
              } 
            } 
          } 
        } 
      } 
    } 
    super.fillCompletionVariants(paramCompletionParameters, paramCompletionResultSet);
  }
}
